* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.fa-bars {
    display: none;
}

.fa-star,
.fa-star-half {
    color: rgb(243, 225, 60);
    /* border: 1px solid rgb(243, 225, 60); */
}

#jump {
    width: 100%;
    display: flex;
    justify-content: space-between;
    position: relative;
    top: -250px;
    padding: 0px 30px;
    ;
    /* visibility: hidden; */
}

/* #jump:hover {
    visibility: visible;
} */

body {
    background-color: rgb(184, 206, 214);
    color: black;
    width: 100%;
    overflow-x: hidden;
}

/* ---------------------------offer area-------------------------- */
.outer {
    width: 100%;
    height: 30px;
    background-color: rgb(224, 40, 148);
    color: white;
    text-align: center;
    line-height: 1.2rem;
}

.outer p {
    width: 300px;
    padding: 10px auto;
    margin: auto;
}

/* --------------------header-area-------------------- */
header {
    width: 100%;
    position: sticky;
    top: 0px;
    left: 0px;
}

.header-content {
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: white;
    height: 70px;
    line-height: 10px;
}

.header-content h1 {
    text-transform: uppercase;
    font-size: 25px;
}

.pink {
    color: rgb(224, 40, 148);
}

.sticky nav ul {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.sticky nav ul li {
    display: block;
    list-style-type: none;
    padding: 0px 10px;
}

.sticky nav ul li a {
    display: block;
    color: black;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 14px;
    padding-bottom: 1px;
}

.sticky nav ul li a:hover {
    /* border-bottom: 2px solid rgb(224, 40, 148); */
    animation-name: slide;
    animation-duration: 1s;
    animation-iteration-count: 1;
    transition: 0.5s;
}

@keyframes slide {
    0% {
        transition: border-bottom 2s, forward
    }
}

.icons .fas {
    border: 1px solid black;
    padding: 7px;
    border-radius: 50%;
    outline: none;
    margin: 0px 10px;
}

.icons .fas:hover {
    background-color: rgb(224, 40, 148);
    color: white;
    transition-duration: 0.8s;
}

/* ---------------------main-area---------------------- */
main {
    width: 100%;
}

/* ------------------------caraousel-area------------------ */
/* .item2,
.item3 {
    display: none !important;
} */
.caraousel {
    overflow: hidden;
    height: 70vh;
}

#slider {
    position: relative;
    width: 300%;
    margin: 0;
    left: 0;
    animation: 20s slider infinite;
    z-index: -1;
    cursor: pointer;
}

#slider .item {
    width: 33.33%;
    float: left;
}

@keyframes slider {
    0% {
        left: 0;
    }

    20% {
        left: 0;
    }

    27% {
        left: 0;
    }

    33.33% {
        left: 0;
    }

    45% {
        left: -100%;
    }

    55% {
        left: -100%;
    }

    66.66% {
        left: -100%;
    }

    70% {
        left: -200%;
    }

    81% {
        left: -200%;
    }

    95% {
        left: -200%;
    }

    100% {
        left: -200%;
    }
}

.item {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    padding-left: 100px;
}


.item .desc,
.item img {
    width: 50%;
}

.item img {
    width: auto;
    height: 500px;
}

.desc small,
.desc h2,
.desc p,
.desc a {
    margin: 15px auto;
    text-transform: capitalize;
}

.desc h2 {
    font-size: 30px;
}

.desc small {
    font-size: 14px;
}

.desc p {
    font-size: 20px;
}

.btn {
    padding: 10px 15px;
    text-transform: uppercase;
    background: transparent;
    border: 1px solid black;

}

.btn:hover {
    background-color: black;
    color: white;
}

section.caraousel {
    background: transparent;
}

/* ---------------------products-area-------------------------- */


section {
    background: white;
    padding: 15px;
    height: auto;
}

.shop-cards h1 {
    text-align: center;
    margin: 10px auto;
}

.flex {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 15px auto;
    width: 100%;
}

.card {
    width: 30%;
    height: 240px;
    border-radius: 10px;
    margin: 15px;
}

.c1 {
    background: url('../assets/images/bg1.jpg') no-repeat center center/cover;
    color: white;
}

.c2 {
    background: url('../assets/images/bg4.jpg') no-repeat center center/cover;
    color: white;
}

.c3 {
    background: url('../assets/images/bg3.jpg') no-repeat center center/cover;
    color: white;
}

.c1:hover,
.c2:hover,
.c3:hover {
    transition: 2s;
    transform: scale(1.05);
}

.data:nth-child(odd) {
    margin: 60px 20px;
}

.data h3 {
    font-size: 25px;
    padding: 5px 15px;
}

.data p {
    font-size: 18px;
    padding: 5px 15px;
    margin-bottom: 20px;
}

.data a {
    color: white;
    text-decoration: none;
    padding: 5px 15px;
    border: 1px solid white;
    margin-left: 15px;
    background: transparent;
}


/* .data:hover{
    -ms-zoom-animation:500;

} */
ul.flex span {
    display: inline-block;
    width: 18px;
    height: 18px;
    padding: 1px;
    border: 1px solid grey;
    margin-right: 1px;
}

ul.flex span li {
    display: inline-block;
    border: 1px solid grey;
    width: 14px;
    height: 14px;
    background: grey;
}

ul.flex li {
    display: inline-block;
    list-style: none;
}

ul.flex li a {
    color: grey;
    text-decoration: none;
    font-size: 20px;
}

ul.flex li a:hover,
.active:hover {
    color: black;
    cursor: pointer;
}

ul.flex div {
    margin: 0px 10px;
}

ul.flex div:hover {
    cursor: pointer;
    color: black !important;
}

/* -----------------------Trends products area------------------------------ */
#trends,
#featured,
#special {
    width: 100%;
    margin: 20px auto;
    padding: 20px;
}

figure img {
    width: 180px;
    height: auto;
    margin: 0px 50px;

}

figcaption {
    display: block;
    margin: 10px auto;
    text-align: center;

}

/* -------------------------grid area---------------------------- */

.grid {
    margin: 20px auto;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 10px;
    padding: 20px;
}

.column1 {
    background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)), url('../assets/grid-images/grid_1.jpg') no-repeat center center/cover;
    /* height: 400px; */
    grid-row: 1/3;

}

.column2 {
    background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)), url('../assets/grid-images/grid_2.jpg') no-repeat center center/cover;
    height: 200px;
}

.column3 {
    background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)), url('../assets/grid-images/grid_3.jpg') no-repeat center center/cover;
    height: 200px;
}

.column4 {
    background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)), url('../assets/grid-images/grid_4.jpg') no-repeat center center/cover;
    height: 200px;
    grid-column: 2/4;
}

.column1 div {
    position: relative;
    top: 180px;
    color: white;
    text-align: center;
    font-size: 20px !important;
}

.column2 div,
.column3 div,
.column4 div {
    position: relative;
    top: 100px;
    /* bottom: 200px; */
    /* left: 100px; */
    /* right: 100px;  */
    color: white;
    text-align: center;
    font-size: 20px !important;
}

.column1 div a {
    display: inline-block;
    color: white;
    text-decoration: none;
    border: 1px solid white;
    margin: 20px auto;
    line-height: 1.5rem;
    padding: 10px;
}

.column1:hover,
.column2:hover,
.column3:hover,
.column4:hover {
    transition: 2s;
    transform: scale(1.02);
}

/* -----------------------All Products area-------------------------- */
#all {
    width: 100vw;
    padding: 20px;
}

.gallery {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* ---------------------------Brand area---------------------------- */
#brand-slide {
    overflow: hidden;
    padding: 20px 0px;
    width: 80%;
    margin: auto;
    background: #fff;
    /* border: 1px solid red; */
}

.brand-slide {
    position: relative;
    width: 300%;
    animation: 20s slider infinite;
    /* left: 70px; */
}

.brand-slide .brand {
    width: 33.33%;
    float: left;
}

/* @keyframes bslider {
    0% {
        left: 0;
    }

    20% {
        left: 0;
    }

    25% {
        left: -20%;
    }

    30% {
        left: -20%;
    }

    45% {
        left: -40%;
    }

    50% {
        left: -40%;
    }

} */

.brand {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
}

.brand img {
    width: 180px;
    padding: 10px 15px;
}

/* -------------------------latest product area---------------------------- */

.latest {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

/* ----------------------------latest news--------------------------- */
.news-slide {
    overflow: hidden;
    width: 80%;
    margin: auto;
}

.news {
    position: relative;
    width: 300%;
    left: 0;
    animation: 20s slider infinite;
}

.news .figure {
    width: 33.33%;
    float: left;
}

/* @keyframes nslider {
    0% {
        left: 0;
    }

    20% {
        left: 0;
    }

    33.33% {
        left: -35%;
    }

    40% {
        left: -35%;
    }

    50% {
        left: -50%;
    }

    65% {
        left: -65%;
    }

    75% {
        left: -76%;
    }

    90% {
        left: -93%;
    }

    100% {
        left: -95%;
    }
} */

.news,
.figure {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;

}


.news figure {
    background: lightblue;
    width: 350px;
    height: auto;
    margin: 10px 15px;
    line-height: 2rem;

}

.news figure img {
    width: 100%;
    height: auto;
    margin: 0;
    padding: 0;
}

.news figcaption {
    padding: 0px 10px;
    text-align: left !important;
}

.news figcaption button:hover {
    color: white;
    background: #000;
    border: none;
    transition: 0.5s;
    cursor: pointer;
}


/* -------------------------recent views area------------------------ */
.flex ul span li {
    color: #000;
}

.recent {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}


/* -------------------------------icons area----------------------------- */
.icon {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 20px;
}

.circle {
    text-align: center;
}

.circle span {
    display: inline-block;
    padding: px;
    border: 1px solid white;
    border-radius: 50%;
    margin: 10px auto;
}

.icon i {
    border-radius: 50%;
    border: 1px solid white;
    background: #fff;
    padding: 10px;
    text-align: center;
    font-size: 20px;
    margin: 10px;
}

.icon .fas:hover,
.icon .fa:hover,
.icon .far:hover {
    transform: rotateY(180deg);
    transition: 1s;
    cursor: pointer;
}

/* -------------------------------footer area------------------------------- */
.footer {
    display: flex;
    justify-content: space-around;
    background: rgb(36, 34, 34);
    color: white !important;
    padding: 20px;
    width: 100%;
}

/* .section {
    width: 20%;
} */

.section h2 {
    font-size: 18px;
    text-transform: uppercase;
    line-height: 2rem;

}

.section li {
    list-style-type: none;
    line-height: 2.5rem;
    font-weight: normal;
    color: grey;
    padding-left: 2px;
}

.section li a {
    color: grey;
    font-size: 15px;
    text-decoration: none;
    text-transform: capitalize;
    line-height: 2rem;
}

.section li a:hover {
    color: rgb(224, 40, 148);
}


/* --------------media queries----------------------------- */

@media (max-width:300px) {}

@media (min-width:300px) and (max-width:500px) {

    #trends,
    #special,
    #featured,
    .gallery,
    .recent,
    .latest,
    .flex,
    .footer,
    .item,
    .icon {
        flex-wrap: wrap;
    }

    .news-slide {
        overflow: hidden;
        width: 80%;
        margin: auto;
    }

    .news {
        position: relative;
        width: 300%;
        /* left: 0; */
        animation: 20s slider infinite;
        /* animation: reverse; */

    }

    .news figure {
        width: 20%;
        float: left;
        margin: auto;
        z-index: -1;
    }

}

@media (min-width:500px) and (max-width:768px) {

    #trends,
    #special,
    #featured,
    .gallery,
    .recent,
    .latest,
    .flex,
    .footer,
    .items,
    .icon {
        flex-wrap: wrap;
    }

    .news-slide {
        overflow: hidden;
        width: 80%;
        margin: auto;
    }

    .news {
        position: relative;
        width: 300%;
        /* left: 0; */
        animation: 20s slider infinite;

        /* animation: reverse; */
    }

    .news figure {
        width: 20%;
        float: left;
        margin: auto;
    }

}

@media (min-width:768px) and (max-width:993px) {

    #trends,
    #special,
    #featured,
    .gallery,
    .recent,
    .latest,
    .flex,
    .footer,
    .item,
    .icon {
        flex-wrap: wrap;
        flex-basis: 30%;
    }

    .caraousel {
        height: auto;
    }

    .news-slide {
        overflow: hidden;
        width: 80%;
        margin: auto;
    }

    .news {
        position: relative;
        width: 300%;
        /* left: 0; */
        animation: 20s slider infinite;
        /* animation: reverse; */
    }

    .news figure {
        width: 20%;
        float: left;
        margin: auto;
    }

}

@media (max-width:993px) {}